"use client"

import { useParams, useRouter } from "next/navigation"
import { useContext, useEffect } from "react";
import { BoardContext, BoardContextProps } from "../BoardContext";
import { useStorage } from "@/app/liveblocks.config";
import { shallow } from "@liveblocks/client";




const CardModal = () => {
    const router = useRouter();
    const params = useParams();
    const {setOpenCard} = useContext<BoardContextProps>(BoardContext);
    

    const card = useStorage(root => {
       return root.cards.find(c => c.id === params.cardId) 
    }, shallow)

    useEffect(() => {
        if(params.cardId && setOpenCard){
            setOpenCard(params.cardId.toString());
        }
    }, [params])



    function handleBackdrop(){
            router.back();
        }

  return (
    <div onClick={handleBackdrop} className='fixed inset-0 bg-black/80'>
        <div onClick={ev => ev.stopPropagation()} className='bg-white p-4 mt-8 max-w-xs mx-auto'>{card?.name}</div>
    </div>
  )
}

export default CardModal